Bug 54418 - RedHat sendmail.mc has no version info.
RedHat sendmail.mc has no version info.
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-10-06 18:34 EDT by Jeremy Jackson
Modified: 2007-03-26 23:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-06 18:51:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Jackson 2001-10-06 18:34:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
/etc/mail/sendmail.mc does not place any useful version information in the
VERSIONID macro.  This makes it difficult to deduce the origin of
/etc/sendmail.cf on systems that have been upgraded many times and/or the
file has been hand edited.  If 
possible, the rpm's verision info (ie 8.11.6-1.7.1), release date,
or CVS $Header$ etc should be included.  Also, the line: "m4 redhat.mc >
redhat.cf" in sendmail.spec could be changed to "m4 -Dunix redhat.mc >
redhat.cf" to enable build logging included in sendmail dist's cf macros.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RedHat 7.1
2. Be pedantic.
3. look at /etc/mail/sendmail.mc and /etc/sendmail.cf
4. also see code condidional on definition of "unix" macro in cfhead.m4

Additional Info:
could m4 package be configured such that it always defined the "unix"
macro?  That way any user rebuild of sendmail.cf would include the useful
logging automatically.
Comment 1 Jeremy Jackson 2001-10-06 18:51:23 EDT
In my haste to post this bug report, I failed to note that GNU m4's manual
states that the "unix" macro is pre-defined (to null), but only when the -G
(disable GNU extensions) switch is used; otherwise it defines (as null)
"__unix__", which could serve the same purpose.  I propose that cfhead.m4 be
patched to detect either macro, the patch possibly being submitted also to
sendmail's maintainer.
Comment 2 Florian La Roche 2002-03-10 02:34:21 EST
I have changed this to __unix__ in sendmail-8.12.2-7 and higher. Setting VERSIONID
to something useful must be done by people changing the .mc file.


Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.